Index: /branches/HTM-10.1-dev0/source/Lib/TLibCommon/ContextTables.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 877)
@@ -116,22 +116,10 @@
 #if QC_GENERIC_SDC_G0122
 #define NUM_ANGLE_FLAG_CTX            3
-#if !QC_SDC_UNIFY_G0130
-#define NUM_INTRASDC_FLAG_CTX         3
-#endif
 #endif
 #endif
 
 #if H_3D_DIM_SDC
-#define SDC_NUM_RESIDUAL_FLAG_CTX        1
-#define SDC_NUM_RESIDUAL_CTX             1
-#endif
-
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-#define NUM_INTER_SDC_FLAG_CTX        1      ///< number of context models for inter SDC flag
-#define NUM_INTER_SDC_SIGN_FLAG_CTX   1      ///< number of context models for sign of inter SDC residual
-#define NUM_INTER_SDC_RESIDUAL_CTX    1      ///< number of context models for abs of inter SDC residual
-#endif
-
-#if QC_SDC_UNIFY_G0130
+#define SDC_NUM_RESIDUAL_FLAG_CTX     1
+#define SDC_NUM_RESIDUAL_CTX          1
 #define NUM_SDC_FLAG_CTX              1      ///< number of context 
 #endif
@@ -404,13 +392,4 @@
   { 155, 170, 157 },
 };
-#if !QC_SDC_UNIFY_G0130
-static const UChar 
-INIT_INTRASDC_FLAG[3][NUM_INTRASDC_FLAG_CTX] =
-{
-  { 214, 229, 230 },
-  { 215, 202, 174 },
-  { 213, 201, 246 },
-};
-#endif
 #endif
 
@@ -456,31 +435,7 @@
 #endif
 
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-static const UChar 
-INIT_INTER_SDC_FLAG[3][NUM_INTER_SDC_FLAG_CTX] =
-{
-  { CNU },  
-  { 154 },
-  { 154 },
-};
-
-static const UChar 
-INIT_INTER_SDC_SIGN_FLAG[3][NUM_INTER_SDC_SIGN_FLAG_CTX] =
-{
-  { CNU },  
-  { 154 },
-  { 154 },
-};
-
-static const UChar 
-INIT_INTER_SDC_RESIDUAL[3][NUM_INTER_SDC_RESIDUAL_CTX] =
-{
-  { CNU },  
-  { 154 },
-  { 154 },
-};
-#endif
+
 //! \}
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
 static const UChar 
 INIT_SDC_FLAG[3][NUM_SDC_FLAG_CTX] =
Index: /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 877)
@@ -123,13 +123,6 @@
 #if H_3D_DIM_SDC
   m_pbSDCFlag             = NULL;
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-  for( Int i = 0; i < 4; i++ )
-  {
-    m_apSegmentDCOffset[i]  = NULL;
-  }
-#else
   m_apSegmentDCOffset[0]  = NULL;
   m_apSegmentDCOffset[1]  = NULL;
-#endif
 #endif
 #endif
@@ -153,14 +146,4 @@
 #endif
 #if H_3D_INTER_SDC
-#if !QC_SDC_UNIFY_G0130
-  m_pbInterSDCFlag       = NULL;
-  for( Int i = 0; i < 4; i++ )
-  {
-    m_apSegmentInterDCOffset[i] = NULL;
-  }
-#endif
-#if !SEC_INTER_SDC_G0101
-  m_pucInterSDCMask       = NULL;
-#endif
 #endif
 #if H_3D_DBBP
@@ -291,22 +274,8 @@
 #if H_3D_DIM_SDC
     m_pbSDCFlag             = (Bool*)xMalloc(Bool, uiNumPartition);
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-    for( Int i = 0; i < 4; i++ )
-    {
-      m_apSegmentDCOffset[i]  = (Pel*)xMalloc(Pel, uiNumPartition);
-    }
-#else
     m_apSegmentDCOffset[0]  = (Pel*)xMalloc(Pel, uiNumPartition);
     m_apSegmentDCOffset[1]  = (Pel*)xMalloc(Pel, uiNumPartition);
 #endif
 #endif
-#endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-    m_pbInterSDCFlag     = (Bool*  )xMalloc(Bool,   uiNumPartition);
-    for( Int i = 0; i < 4; i++ )
-    {
-      m_apSegmentInterDCOffset[i] = (Int*)xMalloc(Int, uiNumPartition);
-    }
-#endif
 #if H_3D_DBBP
     m_pbDBBPFlag         = (Bool*  )xMalloc(Bool,   uiNumPartition);
@@ -318,9 +287,4 @@
     m_acCUMvField[1].setNumPartition(uiNumPartition );
   }
-#if !SEC_INTER_SDC_G0101
-#if H_3D_INTER_SDC
-  m_pucInterSDCMask     = (UChar*  )xMalloc(UChar,    g_uiMaxCUHeight*g_uiMaxCUWidth);
-#endif
-#endif
   m_sliceStartCU        = (UInt*  )xMalloc(UInt, uiNumPartition);
   m_sliceSegmentStartCU = (UInt*  )xMalloc(UInt, uiNumPartition);
@@ -441,31 +405,12 @@
 #if H_3D_DIM_SDC
     if ( m_pbSDCFlag            ) { xFree(m_pbSDCFlag);             m_pbSDCFlag             = NULL; }
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-    for( Int i = 0; i < 4; i++ )
-    {
-      if ( m_apSegmentDCOffset[i] ) { xFree(m_apSegmentDCOffset[i]);  m_apSegmentDCOffset[i]  = NULL; }
-    }
-#else
     if ( m_apSegmentDCOffset[0] ) { xFree(m_apSegmentDCOffset[0]);  m_apSegmentDCOffset[0]  = NULL; }
     if ( m_apSegmentDCOffset[1] ) { xFree(m_apSegmentDCOffset[1]);  m_apSegmentDCOffset[1]  = NULL; }
-#endif
 #endif    
 #endif    
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-    if ( m_pbInterSDCFlag     ) { xFree(m_pbInterSDCFlag);      m_pbInterSDCFlag    = NULL; }
-    for(Int i = 0; i < 4; i++ )
-    {
-      if ( m_apSegmentInterDCOffset[i] ) { xFree( m_apSegmentInterDCOffset[i] ); m_apSegmentInterDCOffset[i] = NULL; }
-  }
-#endif
 #if H_3D_DBBP
     if ( m_pbDBBPFlag         ) { xFree(m_pbDBBPFlag);          m_pbDBBPFlag        = NULL; }
 #endif
   }
-#if !SEC_INTER_SDC_G0101
-#if H_3D_INTER_SDC
-  if ( m_pucInterSDCMask     ) { xFree(m_pucInterSDCMask);      m_pucInterSDCMask    = NULL; }
-#endif
-#endif
   m_pcCUAboveLeft       = NULL;
   m_pcCUAboveRight      = NULL;
@@ -593,7 +538,4 @@
 #if H_3D_DIM_SDC
     m_pbSDCFlag[ui] = pcFrom->m_pbSDCFlag[ui];
-#endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-    m_pbInterSDCFlag[ui] = pcFrom->m_pbInterSDCFlag[ui];
 #endif
 #if H_3D_DBBP
@@ -665,21 +607,7 @@
 #if H_3D_DIM_SDC
     memset( m_pbSDCFlag             + firstElement,     0,                numElements * sizeof( *m_pbSDCFlag            ) );
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-    for( Int i = 0; i < 4; i++ )
-    {
-      memset( m_apSegmentDCOffset[i]  + firstElement,     0,                numElements * sizeof( *m_apSegmentDCOffset[i] ) );
-    }
-#else
     memset( m_apSegmentDCOffset[0]  + firstElement,     0,                numElements * sizeof( *m_apSegmentDCOffset[0] ) );
     memset( m_apSegmentDCOffset[1]  + firstElement,     0,                numElements * sizeof( *m_apSegmentDCOffset[1] ) );
 #endif
-#endif
-#endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-    memset( m_pbInterSDCFlag   + firstElement,     0,                    numElements * sizeof( *m_pbInterSDCFlag ) );
-    for( Int i = 0; i < 4; i++ )
-    {
-      memset( m_apSegmentInterDCOffset[i] + firstElement,     0,         numElements * sizeof( *m_apSegmentInterDCOffset[i] ) );
-    }
 #endif
 #if H_3D_DBBP
@@ -853,21 +781,7 @@
 #if H_3D_DIM_SDC
       m_pbSDCFlag           [ui] = false;
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-      for( Int i = 0; i < 4; i++ )
-      {
-        m_apSegmentDCOffset[i][ui] = 0;
-      }
-#else
       m_apSegmentDCOffset[0][ui] = 0;
       m_apSegmentDCOffset[1][ui] = 0;
 #endif
-#endif
-#endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-      m_pbInterSDCFlag[ui] = false;
-      for( Int i = 0; i < 4; i++ )
-      {
-        m_apSegmentInterDCOffset[i][ui] = 0;
-      }
 #endif
 #if H_3D_DBBP
@@ -982,21 +896,7 @@
 #if H_3D_DIM_SDC
   memset( m_pbSDCFlag,            0, sizeof(Bool) * m_uiNumPartition  );
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-  for( Int i = 0; i < 4; i++ )
-  {
-    memset( m_apSegmentDCOffset[i], 0, sizeof(Pel) * m_uiNumPartition   );
-  }
-#else
   memset( m_apSegmentDCOffset[0], 0, sizeof(Pel) * m_uiNumPartition   );
   memset( m_apSegmentDCOffset[1], 0, sizeof(Pel) * m_uiNumPartition   );
 #endif
-#endif
-#endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  memset( m_pbInterSDCFlag,           0, sizeof( Bool ) * m_uiNumPartition );
-  for( Int i = 0; i < 4; i++ )
-  {
-    memset( m_apSegmentInterDCOffset[i], 0, sizeof( Int ) * m_uiNumPartition );
-  }
 #endif
 #if H_3D_DBBP
@@ -1075,21 +975,7 @@
 #if H_3D_DIM_SDC
       m_pbSDCFlag           [ui] = pcCU->m_pbSDCFlag            [ uiPartOffset + ui ];
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-      for( Int i = 0; i < 4; i++ )
-      {
-        m_apSegmentDCOffset[i][ui] = pcCU->m_apSegmentDCOffset[i] [ uiPartOffset + ui ];
-      }
-#else
       m_apSegmentDCOffset[0][ui] = pcCU->m_apSegmentDCOffset[0] [ uiPartOffset + ui ];
       m_apSegmentDCOffset[1][ui] = pcCU->m_apSegmentDCOffset[1] [ uiPartOffset + ui ];
 #endif
-#endif
-#endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-      m_pbInterSDCFlag      [ui] = pcCU->m_pbInterSDCFlag    [ uiPartOffset + ui ];
-      for( Int i = 0; i < 4; i++ )
-      {
-        m_apSegmentInterDCOffset[i][ui] = pcCU->m_apSegmentInterDCOffset[i][ uiPartOffset + ui ];
-      }
 #endif
 #if H_3D_DBBP
@@ -1246,22 +1132,8 @@
 #if H_3D_DIM_SDC
   m_pbSDCFlag               = pcCU->getSDCFlag()              + uiPart;
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-  for( Int i = 0; i < 4; i++ )
-  {
-    m_apSegmentDCOffset[i]    = pcCU->getSDCSegmentDCOffset(i)  + uiPart;
-  }
-#else
   m_apSegmentDCOffset[0]    = pcCU->getSDCSegmentDCOffset(0)  + uiPart;
   m_apSegmentDCOffset[1]    = pcCU->getSDCSegmentDCOffset(1)  + uiPart;
-#endif
 #endif  
 #endif  
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  m_pbInterSDCFlag          = pcCU->getInterSDCFlag()       + uiPart;
-  for( Int i = 0; i < 4; i++ )
-  {
-    m_apSegmentInterDCOffset[i] = pcCU->getInterSDCSegmentDCOffset( i ) + uiPart;
-  }
-#endif
 #if H_3D_DBBP
   m_pbDBBPFlag              = pcCU->getDBBPFlag()         + uiPart;
@@ -1465,21 +1337,7 @@
 #if H_3D_DIM_SDC
   memcpy( m_pbSDCFlag             + uiOffset, pcCU->getSDCFlag(),             iSizeInBool  );
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-  for( Int i = 0; i < 4; i++ )
-  {
-    memcpy( m_apSegmentDCOffset[i]  + uiOffset, pcCU->getSDCSegmentDCOffset(i), sizeof( Pel ) * uiNumPartition);
-  }
-#else
   memcpy( m_apSegmentDCOffset[0]  + uiOffset, pcCU->getSDCSegmentDCOffset(0), sizeof( Pel ) * uiNumPartition);
   memcpy( m_apSegmentDCOffset[1]  + uiOffset, pcCU->getSDCSegmentDCOffset(1), sizeof( Pel ) * uiNumPartition);
 #endif
-#endif
-#endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  memcpy( m_pbInterSDCFlag  + uiOffset, pcCU->getInterSDCFlag(),      iSizeInBool  );
-  for( Int i = 0; i < 4; i++ )
-  {
-    memcpy( m_apSegmentInterDCOffset[i] + uiOffset, pcCU->getInterSDCSegmentDCOffset( i ), sizeof( Int ) * uiNumPartition);
-  }
 #endif
 #if H_3D_DBBP
@@ -1602,21 +1460,7 @@
 #if H_3D_DIM_SDC
   memcpy( rpcCU->getSDCFlag()             + m_uiAbsIdxInLCU, m_pbSDCFlag,      iSizeInBool  );
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-  for( Int i = 0; i < 4; i++ )
-  {
-    memcpy( rpcCU->getSDCSegmentDCOffset(i) + m_uiAbsIdxInLCU, m_apSegmentDCOffset[i], sizeof( Pel ) * m_uiNumPartition);
-  }
-#else
   memcpy( rpcCU->getSDCSegmentDCOffset(0) + m_uiAbsIdxInLCU, m_apSegmentDCOffset[0], sizeof( Pel ) * m_uiNumPartition);
   memcpy( rpcCU->getSDCSegmentDCOffset(1) + m_uiAbsIdxInLCU, m_apSegmentDCOffset[1], sizeof( Pel ) * m_uiNumPartition);
 #endif
-#endif
-#endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  memcpy( rpcCU->getInterSDCFlag() + m_uiAbsIdxInLCU, m_pbInterSDCFlag,      iSizeInBool  );
-  for( Int i = 0;i < 4; i++ )
-  {
-    memcpy( rpcCU->getInterSDCSegmentDCOffset( i ) + m_uiAbsIdxInLCU, m_apSegmentInterDCOffset[i], sizeof( Int ) * m_uiNumPartition);
-  }
 #endif
 #if H_3D_DBBP
@@ -1726,21 +1570,7 @@
 #if H_3D_DIM_SDC
   memcpy( rpcCU->getSDCFlag()             + uiPartOffset, m_pbSDCFlag,      iSizeInBool  );
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-  for( Int i = 0; i < 4; i++ )
-  {
-    memcpy( rpcCU->getSDCSegmentDCOffset(i) + uiPartOffset, m_apSegmentDCOffset[i], sizeof( Pel ) * uiQNumPart);
-  }
-#else
   memcpy( rpcCU->getSDCSegmentDCOffset(0) + uiPartOffset, m_apSegmentDCOffset[0], sizeof( Pel ) * uiQNumPart);
   memcpy( rpcCU->getSDCSegmentDCOffset(1) + uiPartOffset, m_apSegmentDCOffset[1], sizeof( Pel ) * uiQNumPart);
 #endif
-#endif
-#endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  memcpy( rpcCU->getInterSDCFlag() + uiPartOffset, m_pbInterSDCFlag,      iSizeInBool  );
-  for( Int i = 0; i < 4; i++ )
-  {
-    memcpy( rpcCU->getInterSDCSegmentDCOffset( i ) + uiPartOffset, m_apSegmentInterDCOffset[i], sizeof( Int ) * uiQNumPart);
-  }
 #endif
 #if H_3D_DBBP
@@ -2545,137 +2375,8 @@
 #endif
 
-#if H_3D_INTER_SDC
-#if !QC_SDC_UNIFY_G0130
-Void TComDataCU::setInterSDCFlagSubParts ( Bool bInterSDCFlag, UInt uiAbsPartIdx, UInt uiPartIdx, UInt uiDepth )
-{
-  setSubPart( bInterSDCFlag, m_pbInterSDCFlag, uiAbsPartIdx, uiDepth, uiPartIdx );
-}
-
-UInt TComDataCU::getCtxInterSDCFlag( UInt uiAbsPartIdx )
-{
-  return 0;
-}
-#endif
-
-#if !SEC_INTER_SDC_G0101
-Void TComDataCU::xSetInterSDCCUMask( TComDataCU *pcCU, UChar *pMask )
-{
-  UInt  uiWidth      = pcCU->getWidth ( 0 );
-  UInt  uiHeight     = pcCU->getHeight( 0 );
-  UInt  uiPartitionSize = pcCU->getPartitionSize( 0 );
-  UInt  uiXOffset = 0, uiYOffset = 0;
-
-  switch( uiPartitionSize )
-  {
-  case SIZE_2NxN:
-    uiXOffset = uiWidth;      uiYOffset = uiHeight >> 1;   break;
-  case SIZE_2NxnU:
-    uiXOffset = uiWidth;      uiYOffset = uiHeight >> 2;   break;
-  case SIZE_2NxnD: 
-    uiXOffset = uiWidth;      uiYOffset = ( uiHeight >> 1 ) + ( uiHeight >> 2 );   break;
-  case SIZE_Nx2N:
-    uiXOffset = uiWidth >> 1; uiYOffset = uiHeight; break;
-  case SIZE_nLx2N:
-    uiXOffset = uiWidth >> 2; uiYOffset = uiHeight; break;
-  case SIZE_nRx2N:
-    uiXOffset = ( uiWidth >> 1 ) + ( uiWidth >> 2 ); uiYOffset = uiHeight; break;
-  case SIZE_NxN:
-    uiXOffset = uiWidth >> 1; uiYOffset = uiHeight >> 1;  break;
-  default:
-    assert( uiPartitionSize == SIZE_2Nx2N );
-    uiXOffset = uiWidth;     uiYOffset = uiHeight;    break;
-  }
-
-  UInt uiPelX, uiPelY;
-
-  memset( pMask, 0, uiWidth*uiHeight );
-
-  //mask
-  if( uiPartitionSize == SIZE_2NxN || uiPartitionSize == SIZE_2NxnD || uiPartitionSize == SIZE_2NxnU )
-  {
-    for( uiPelY = 0; uiPelY < uiYOffset; uiPelY++ )
-    {
-      for( uiPelX = 0; uiPelX < uiWidth; uiPelX++ )
-      {
-        pMask[uiPelX + uiPelY*uiWidth] = 0;
-      }
-    }
-
-    for( ; uiPelY < uiHeight; uiPelY++ )
-    {
-      for( uiPelX = 0; uiPelX < uiWidth; uiPelX++ )
-      {
-        pMask[uiPelX + uiPelY*uiWidth] = 1;
-      }
-    }
-  }
-  else if( uiPartitionSize == SIZE_Nx2N || uiPartitionSize == SIZE_nLx2N || uiPartitionSize == SIZE_nRx2N )
-  {
-    for( uiPelY = 0; uiPelY < uiHeight; uiPelY++ )
-    {
-      for( uiPelX = 0; uiPelX < uiXOffset; uiPelX++ )
-      {
-        pMask[uiPelX + uiPelY*uiWidth] = 0;
-      }
-
-      for( ; uiPelX < uiWidth; uiPelX++ )
-      {
-        pMask[uiPelX + uiPelY*uiWidth] = 1;
-      }
-    }
-  }
-  else if( uiPartitionSize == SIZE_NxN )
-  {
-    for( uiPelY = 0; uiPelY < uiYOffset; uiPelY++ )
-    {
-      for( uiPelX = 0; uiPelX < uiXOffset; uiPelX++ )
-      {
-        pMask[uiPelX + uiPelY*uiWidth] = 0;
-      }
-
-      for( ; uiPelX < uiWidth; uiPelX++ )
-      {
-        pMask[uiPelX + uiPelY*uiWidth] = 1;
-      }
-    }
-
-    for( ; uiPelY < uiHeight; uiPelY++ )
-    {
-      for( uiPelX = 0; uiPelX < uiXOffset; uiPelX++ )
-      {
-        pMask[uiPelX + uiPelY*uiWidth] = 2;
-      }
-
-      for( ; uiPelX < uiWidth; uiPelX++ )
-      {
-        pMask[uiPelX + uiPelY*uiWidth] = 3;
-      }
-    }
-  }
-
-}
-#endif
-#endif
-
 #if QC_GENERIC_SDC_G0122
 UInt TComDataCU::getCtxSDCFlag( UInt uiAbsPartIdx )
 {
-#if QC_SDC_UNIFY_G0130
   return 0;
-#else
-  TComDataCU* pcTempCU;
-  UInt        uiTempPartIdx;
-  UInt        uiCtx = 0;
-
-  // Get BCBP of left PU
-  pcTempCU = getPULeft( uiTempPartIdx, m_uiAbsIdxInLCU + uiAbsPartIdx );
-  uiCtx    = ( pcTempCU && pcTempCU->isIntra( uiTempPartIdx ) ) ? pcTempCU->getSDCFlag( uiTempPartIdx ) : 0;
-
-  // Get BCBP of above PU
-  pcTempCU = getPUAbove( uiTempPartIdx, m_uiAbsIdxInLCU + uiAbsPartIdx );
-  uiCtx   += ( pcTempCU && pcTempCU->isIntra( uiTempPartIdx ) ) ? pcTempCU->getSDCFlag( uiTempPartIdx ) : 0;
-
-  return uiCtx;
-#endif
 }
 
@@ -7193,13 +6894,8 @@
       TComDataCU* pcBaseCU;
       Int iPartition = 0;
-#if !KHU_SIMP_SPIVMP_G0147
-      Int iInterDirLast = 0;
-      TComMvField cMvFieldLast[2];
-#endif
 
       Int iDelX = iSPWidth/2;
       Int iDelY = iSPHeight/2;
 
-#if KHU_SIMP_SPIVMP_G0147
       Int         iCenterPosX = iCurrPosX + ( ( iWidth /  iSPWidth ) >> 1 )  * iSPWidth + ( iSPWidth >> 1 );
       Int         iCenterPosY = iCurrPosY + ( ( iHeight /  iSPHeight ) >> 1 )  * iSPHeight + (iSPHeight >> 1);
@@ -7269,5 +6965,5 @@
       if(availableMcDc[0])
       {
-#endif
+
         Int         iBasePosX, iBasePosY;
         for (Int i=iCurrPosY; i < iCurrPosY + iHeight; i += iSPHeight)
@@ -7328,50 +7024,13 @@
             if (puhInterDirSP[iPartition] == 0)
             {
-#if KHU_SIMP_SPIVMP_G0147
               puhInterDirSP[iPartition] = availableMcDc[0];
               pcMvFieldSP[2*iPartition].setMvField(pacPdmMv[0], paiPdmRefIdx[0]);
               pcMvFieldSP[2*iPartition + 1].setMvField(pacPdmMv[1], paiPdmRefIdx[1]);
-#else
-              if (iInterDirLast != 0)
-              {
-                puhInterDirSP[iPartition] = iInterDirLast;
-                pcMvFieldSP[2*iPartition] = cMvFieldLast[0];
-                pcMvFieldSP[2*iPartition + 1] = cMvFieldLast[1];
-              }
-#endif
+
             }
-#if !KHU_SIMP_SPIVMP_G0147
-            else
-            {
-              if (iInterDirLast ==0)
-              {
-                availableMcDc[0] = puhInterDirSP[iPartition];
-                paiPdmRefIdx  [ 0 ] = pcMvFieldSP[2*iPartition].getRefIdx();
-                pacPdmMv      [ 0 ] = pcMvFieldSP[2*iPartition].getMv();
-                paiPdmRefIdx  [ 1 ] = pcMvFieldSP[2*iPartition+1].getRefIdx();
-                pacPdmMv      [ 1 ] = pcMvFieldSP[2*iPartition+1].getMv();
-
-                if (iPartition != 0)
-                {
-                  for (Int iPart = iPartition-1; iPart >= 0; iPart--)
-                  {
-                    puhInterDirSP[iPart] = puhInterDirSP[iPartition];
-                    pcMvFieldSP[2*iPart] = pcMvFieldSP[2*iPartition];
-                    pcMvFieldSP[2*iPart + 1] = pcMvFieldSP[2*iPartition + 1];
-                  }
-                }
-              }
-              iInterDirLast = puhInterDirSP[iPartition];
-              cMvFieldLast[0] = pcMvFieldSP[2*iPartition];
-              cMvFieldLast[1] = pcMvFieldSP[2*iPartition + 1];
-            }
-#endif
             iPartition ++;
-
           }
         }
-#if KHU_SIMP_SPIVMP_G0147
-      }
-#endif
+      }
     }
 
Index: /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 877)
@@ -192,18 +192,5 @@
 #if H_3D_DIM_SDC
   Bool*         m_pbSDCFlag;
-#if QC_SDC_UNIFY_G0130 && !SEC_INTER_SDC_G0101
-  Pel*          m_apSegmentDCOffset[4];
-#else
   Pel*          m_apSegmentDCOffset[2];
-#endif
-#endif
-#endif
-#if H_3D_INTER_SDC
-#if !QC_SDC_UNIFY_G0130
-  Bool*         m_pbInterSDCFlag;
-  Int*          m_apSegmentInterDCOffset[4];
-#endif
-#if !SEC_INTER_SDC_G0101
-  UChar*        m_pucInterSDCMask;
 #endif
 #endif
@@ -575,21 +562,4 @@
 #endif
 #endif
-#if H_3D_INTER_SDC
-#if !QC_SDC_UNIFY_G0130
-  Bool*         getInterSDCFlag     ()                        { return m_pbInterSDCFlag;               }
-  Bool          getInterSDCFlag     ( UInt uiIdx )            { return m_pbInterSDCFlag[uiIdx];        }
-  Void          setInterSDCFlagSubParts ( Bool bInterSDCFlag, UInt uiAbsPartIdx, UInt uiPartIdx, UInt uiDepth );
-  UInt          getCtxInterSDCFlag  ( UInt uiAbsPartIdx );
-  Int*          getInterSDCSegmentDCOffset( UInt uiSeg ) { return m_apSegmentInterDCOffset[uiSeg]; }
-  Int           getInterSDCSegmentDCOffset( UInt uiSeg, UInt uiPartIdx ) { return m_apSegmentInterDCOffset[uiSeg][uiPartIdx]; }
-  Void          setInterSDCSegmentDCOffset( Int pOffset, UInt uiSeg, UInt uiPartIdx) { m_apSegmentInterDCOffset[uiSeg][uiPartIdx] = pOffset; }
-
-#endif
-#if !SEC_INTER_SDC_G0101
-  Void          xSetInterSDCCUMask( TComDataCU *pcCU, UChar *pMask );
-
-  UChar*        getInterSDCMask     ()                        { return m_pucInterSDCMask;              }
-#endif
-#endif
   
   // -------------------------------------------------------------------------------------------------------------------
Index: /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 877)
@@ -183,10 +183,15 @@
                                               // SEC_DMM3_RBC_F0147 Removal of DMM3 and RBC from DMMs
                                               // QC_DIM_DELTADC_UNIFY_F0132 Unify delta DC coding in depth intra modes
+                                              // Unify intra SDC and inter SDC
+
 
 #define H_3D_INTER_SDC                    1   // INTER SDC, Inter simplified depth coding
-                                              // LGE_INTER_SDC_E0156  Enable inter SDC for depth coding
+                                              // LGE_INTER_SDC_E0156 Enable inter SDC for depth coding
+                                              // SEC_INTER_SDC_G0101 Improved inter SDC with multiple DC candidates
+
 #define H_3D_SPIVMP                       1   // H_3D_SPIVMP    // JCT3V-F0110: Sub-PU level inter-view motion prediction
                                               // SEC_SPIVMP_MCP_SIZE_G0077, Apply SPIVMP only to 2Nx2N partition, JCT3V-G0077
                                               // QC_SPIVMP_MPI_G0119 Sub-PU level MPI merge candidate
+                                              // Simplification on Sub-PU level temporal interview motion prediction
 #define H_3D_FCO                          0   // Flexible coding order for 3D
 
@@ -313,13 +318,6 @@
 #define SCU_HS_DEPTH_DC_PRED_G0143        1
 #define QC_GENERIC_SDC_G0122              1  // Generalize SDC to all depth intra modes
-#if H_3D_DIM_SDC && H_3D_INTER_SDC
-#define QC_SDC_UNIFY_G0130                1  // Unify intra SDC and inter SDC
-#define QC_SDC_UNIFY_G0130_FIX            1  // Fix bug of G0130
-#define QC_SDC_UNIFY_G0130_FIX2           1  // Fix bug of G0130
-#endif
-#define SEC_INTER_SDC_G0101               1  // Improved inter SDC with multiple DC candidates
-#endif
-
-#define KHU_SIMP_SPIVMP_G0147             1  // Simplification on Sub-PU level temporal interview motion prediction
+#endif
+
 
 #endif
Index: /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 877)
@@ -3093,5 +3093,4 @@
 #endif
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
 Void TDecCavlc::parseDeltaDC( TComDataCU* /*pcCU*/, UInt /*uiAbsPartIdx*/, UInt /*uiDepth*/ )
 { 
@@ -3103,15 +3102,5 @@
   assert(0);
 }
-#else
-Void TDecCavlc::parseInterSDCFlag    ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
-{
-  assert(0);
-}
-
-Void TDecCavlc::parseInterSDCResidualData ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, UInt uiPart )
-{
-  assert(0);
-}
-#endif
+
 #endif
 #if H_3D_DBBP
Index: /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 877)
@@ -124,11 +124,6 @@
 #endif
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
   Void  parseDeltaDC        ( TComDataCU* pcCU, UInt absPartIdx, UInt depth );
   Void  parseSDCFlag        ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#else
-  Void  parseInterSDCFlag    ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-  Void  parseInterSDCResidualData ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, UInt uiPart );
-#endif
 #endif
 #if H_3D_DBBP
Index: /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 877)
@@ -539,5 +539,5 @@
   m_pcEntropyDecoder->decodePartSize( pcCU, uiAbsPartIdx, uiDepth );
 
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   m_pcEntropyDecoder->decodeSDCFlag( pcCU, uiAbsPartIdx, uiDepth );
 #endif
@@ -561,7 +561,4 @@
   // prediction mode ( Intra : direction mode, Inter : Mv, reference idx )
   m_pcEntropyDecoder->decodePredInfo( pcCU, uiAbsPartIdx, uiDepth, m_ppcCU[uiDepth]);
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  m_pcEntropyDecoder->decodeInterSDCFlag( pcCU, uiAbsPartIdx, uiDepth );
-#endif
   // Coefficient decoding
   Bool bCodeDQP = getdQPFlag();
@@ -651,9 +648,5 @@
 #endif
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
       if( m_ppcCU[uiDepth]->getSDCFlag( 0 ) )
-#else
-      if( m_ppcCU[uiDepth]->getInterSDCFlag( 0 ) )
-#endif
       {
         xReconInterSDC( m_ppcCU[uiDepth], uiAbsPartIdx, uiDepth );
@@ -718,10 +711,4 @@
   UInt  uiWidth      = pcCU->getWidth ( 0 );
   UInt  uiHeight     = pcCU->getHeight( 0 );
-#if !SEC_INTER_SDC_G0101
-  UChar* pMask       = pcCU->getInterSDCMask();
-
-  memset( pMask, 0, uiWidth*uiHeight );
-  pcCU->xSetInterSDCCUMask( pcCU, pMask );
-#endif
 
   Pel  *pResi;
@@ -734,14 +721,5 @@
     for( uiPelX = 0; uiPelX < uiWidth; uiPelX++ )
     {
-#if SEC_INTER_SDC_G0101
       pResi[ uiPelX ] = pcCU->getSDCSegmentDCOffset( 0, 0 );
-#else
-      UChar uiSeg = pMask[ uiPelX + uiPelY*uiWidth ];
-#if QC_SDC_UNIFY_G0130
-      pResi[ uiPelX ] = pcCU->getSDCSegmentDCOffset( uiSeg, 0 );
-#else
-      pResi[ uiPelX ] = pcCU->getInterSDCSegmentDCOffset( uiSeg, 0 );
-#endif
-#endif
     }
     pResi += uiResiStride;
Index: /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 877)
@@ -779,5 +779,4 @@
   UInt uiLumaOffset   = uiMinCoeffSize*uiAbsPartIdx;
   UInt uiChromaOffset = uiLumaOffset>>2;
-#if QC_SDC_UNIFY_G0130
 #if H_3D_DIM_SDC
   if( pcCU->getSDCFlag( uiAbsPartIdx ) && pcCU->isIntra( uiAbsPartIdx) )
@@ -789,5 +788,4 @@
     assert( pcCU->getCbf(uiAbsPartIdx, TEXT_CHROMA_V) == 1 );
   }
-#endif
 
 #if H_3D_INTER_SDC
@@ -799,9 +797,5 @@
   }
 #endif
-#if QC_SDC_UNIFY_G0130_FIX
   if( pcCU->getSlice()->getIsDepth() && ( pcCU->getSDCFlag( uiAbsPartIdx ) || pcCU->isIntra( uiAbsPartIdx ) ) )
-#else
-  if( pcCU->getSDCFlag( uiAbsPartIdx ) || pcCU->isIntra( uiAbsPartIdx ) )
-#endif
   {
     Int iPartNum = ( pcCU->isIntra( uiAbsPartIdx ) && pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_NxN ) ? 4 : 1;
@@ -824,28 +818,4 @@
     }
   }
-#else
-#if H_3D_DIM_SDC
-  if( pcCU->getSDCFlag( uiAbsPartIdx ) )
-  {
-    assert( pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2Nx2N );
-    assert( pcCU->getTransformIdx(uiAbsPartIdx) == 0 );
-    assert( pcCU->getCbf(uiAbsPartIdx, TEXT_LUMA) == 1 );
-    assert( pcCU->getCbf(uiAbsPartIdx, TEXT_CHROMA_U) == 1 );
-    assert( pcCU->getCbf(uiAbsPartIdx, TEXT_CHROMA_V) == 1 );
-    return;
-  }
-#endif
-  
-#if H_3D_INTER_SDC
-  if( pcCU->getInterSDCFlag( uiAbsPartIdx ) )
-  {
-    assert( !pcCU->isSkipped( uiAbsPartIdx ) );
-    assert( !pcCU->isIntra( uiAbsPartIdx) );
-    assert( pcCU->getSlice()->getIsDepth() );
-
-    decodeInterSDCResidualData( pcCU, uiAbsPartIdx, uiDepth );
-    return;
-  }
-#endif
 #endif
 
@@ -875,5 +845,4 @@
 
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
 Void TDecEntropy::decodeSDCFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
 {
@@ -886,61 +855,12 @@
   }
 
-#if SEC_INTER_SDC_G0101
   if( !pcCU->getSlice()->getIsDepth() || pcCU->getPartitionSize( uiAbsPartIdx ) != SIZE_2Nx2N || pcCU->isSkipped( uiAbsPartIdx ) )
-#else
-  if( !pcCU->getSlice()->getIsDepth() || ( pcCU->isIntra( uiAbsPartIdx ) && pcCU->getPartitionSize( uiAbsPartIdx ) != SIZE_2Nx2N ) || pcCU->isSkipped( uiAbsPartIdx ) )
-#endif
   {
     return;
   }
 
-#if SEC_INTER_SDC_G0101
   assert( pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_2Nx2N || ( !pcCU->isIntra( uiAbsPartIdx ) && !pcCU->isSkipped( uiAbsPartIdx ) ) );
-#else
-  assert( ( pcCU->isIntra( uiAbsPartIdx ) && pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_2Nx2N ) || ( !pcCU->isIntra( uiAbsPartIdx ) && !pcCU->isSkipped( uiAbsPartIdx ) ) );
-#endif
-
   m_pcEntropyDecoderIf->parseSDCFlag( pcCU, uiAbsPartIdx, uiDepth );
 }
-
-#else
-Void TDecEntropy::decodeInterSDCFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
-{
-  pcCU->setInterSDCFlagSubParts( false, uiAbsPartIdx, 0, uiDepth);
-
-  if( !pcCU->getSlice()->getVPS()->getInterSDCFlag( pcCU->getSlice()->getLayerIdInVps() ) )
-  {
-    return;
-  }
-
-  if( !pcCU->getSlice()->getIsDepth() || pcCU->isIntra( uiAbsPartIdx ) || pcCU->isSkipped( uiAbsPartIdx ) )
-  {
-    return;
-  }
-
-  m_pcEntropyDecoderIf->parseInterSDCFlag( pcCU, uiAbsPartIdx, uiDepth );
-}
-
-Void TDecEntropy::decodeInterSDCResidualData( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
-{
-  if( !pcCU->getSlice()->getVPS()->getInterSDCFlag( pcCU->getSlice()->getLayerIdInVps() ) )
-  {
-    return;
-  }
-
-  if( !pcCU->getSlice()->getIsDepth() || pcCU->isIntra( uiAbsPartIdx ) || !pcCU->getInterSDCFlag( uiAbsPartIdx ) )
-  {
-    return;
-  }
-
-  UInt uiNumSegments = ( pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_2Nx2N ) ? 1 : ( pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_NxN ? 4 : 2 );
-
-  // decode residual data for each segment
-  for( UInt uiSeg = 0; uiSeg < uiNumSegments; uiSeg++ )
-  {
-    m_pcEntropyDecoderIf->parseInterSDCResidualData( pcCU, uiAbsPartIdx, uiDepth, uiSeg );
-  }
-}
-#endif
 #endif
 #if H_3D_DBBP
Index: /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecEntropy.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecEntropy.h	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecEntropy.h	(revision 877)
@@ -96,11 +96,6 @@
 #endif
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
   virtual Void parseDeltaDC       ( TComDataCU* pcCU, UInt absPartIdx, UInt depth ) = 0;
   virtual Void parseSDCFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth ) = 0;
-#else
-  virtual Void parseInterSDCFlag  ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth ) = 0;
-  virtual Void parseInterSDCResidualData ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, UInt uiPart ) = 0;
-#endif
 #endif
 #if H_3D_DBBP
@@ -187,10 +182,5 @@
 #endif
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
   Void decodeSDCFlag           ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#else
-  Void decodeInterSDCFlag      ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-  Void decodeInterSDCResidualData ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#endif
 #endif
 #if H_3D_DBBP
Index: /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 877)
@@ -88,7 +88,4 @@
 #if QC_GENERIC_SDC_G0122
 , m_cAngleFlagSCModel         ( 1,             1,               NUM_ANGLE_FLAG_CTX            , m_contextModels + m_numContextModels, m_numContextModels)
-#if !QC_SDC_UNIFY_G0130
-, m_cIntraSdcFlagSCModel      ( 1,             1,               NUM_INTRASDC_FLAG_CTX         , m_contextModels + m_numContextModels, m_numContextModels)
-#endif
 #endif
 #if H_3D_DIM_DMM
@@ -100,10 +97,5 @@
 #endif
 #endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-, m_cInterSDCFlagSCModel             ( 1,             1,  NUM_INTER_SDC_FLAG_CTX           , m_contextModels + m_numContextModels, m_numContextModels)
-, m_cInterSDCResidualSCModel         ( 1,             1,  NUM_INTER_SDC_RESIDUAL_CTX       , m_contextModels + m_numContextModels, m_numContextModels)
-, m_cInterSDCResidualSignFlagSCModel ( 1,             1,  NUM_INTER_SDC_SIGN_FLAG_CTX      , m_contextModels + m_numContextModels, m_numContextModels)
-#endif
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
 , m_cSDCFlagSCModel                  ( 1,             1,  NUM_SDC_FLAG_CTX                 , m_contextModels + m_numContextModels, m_numContextModels)
 #endif
@@ -182,7 +174,4 @@
 #if QC_GENERIC_SDC_G0122
   m_cAngleFlagSCModel.initBuffer         ( sliceType, qp, (UChar*)INIT_ANGLE_FLAG );
-#if !QC_SDC_UNIFY_G0130
-  m_cIntraSdcFlagSCModel.initBuffer      ( sliceType, qp, (UChar*)INIT_INTRASDC_FLAG );
-#endif
 #endif
 #if H_3D_DIM_DMM
@@ -194,10 +183,5 @@
 #endif
 #endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  m_cInterSDCFlagSCModel.initBuffer       ( sliceType, qp, (UChar*)INIT_INTER_SDC_FLAG );
-  m_cInterSDCResidualSCModel.initBuffer   ( sliceType, qp, (UChar*)INIT_INTER_SDC_RESIDUAL );
-  m_cInterSDCResidualSignFlagSCModel.initBuffer ( sliceType, qp, (UChar*)INIT_INTER_SDC_SIGN_FLAG );
-#endif
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   m_cSDCFlagSCModel.initBuffer            ( sliceType, qp, (UChar*)INIT_SDC_FLAG );
 #endif
@@ -262,7 +246,4 @@
 #if QC_GENERIC_SDC_G0122
   m_cAngleFlagSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_ANGLE_FLAG );
-#if !QC_SDC_UNIFY_G0130
-  m_cIntraSdcFlagSCModel.initBuffer      ( eSliceType, iQp, (UChar*)INIT_INTRASDC_FLAG );
-#endif
 #endif
 #if H_3D_DIM_DMM
@@ -274,10 +255,5 @@
 #endif
 #endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  m_cInterSDCFlagSCModel.initBuffer       ( eSliceType, iQp, (UChar*)INIT_INTER_SDC_FLAG );
-  m_cInterSDCResidualSCModel.initBuffer   ( eSliceType, iQp, (UChar*)INIT_INTER_SDC_RESIDUAL );
-  m_cInterSDCResidualSignFlagSCModel.initBuffer ( eSliceType, iQp, (UChar*)INIT_INTER_SDC_SIGN_FLAG );
-#endif
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   m_cSDCFlagSCModel.initBuffer            ( eSliceType, iQp, (UChar*)INIT_SDC_FLAG );
 #endif
@@ -1171,49 +1147,4 @@
   }
 
-#if !QC_SDC_UNIFY_G0130
-  if( dimType < DIM_NUM_TYPE || pcCU->getSDCFlag( absPartIdx ) )
-  {
-    UInt symbol;
-#if QC_GENERIC_SDC_G0122
-    UInt uiNumSegments = isDimMode( dir ) ? 2 : 1;
-#else
-    UInt uiNumSegments = ( dir == PLANAR_IDX ) ? 1 : 2;
-#endif
-
-    if( pcCU->getSDCFlag( absPartIdx ) )
-    {
-      assert(pcCU->getPartitionSize(absPartIdx)==SIZE_2Nx2N);
-      pcCU->setTrIdxSubParts(0, absPartIdx, depth);
-      pcCU->setCbfSubParts(1, 1, 1, absPartIdx, depth);
-    }
-
-    m_pcTDecBinIf->decodeBin( symbol, m_cDdcFlagSCModel.get(0, 0, uiNumSegments-1) );
-
-    if( symbol )
-    {
-      if( !pcCU->getSDCFlag( absPartIdx ) )
-      {
-        dir += symbol;
-      }
-    }
-    for( UInt segment = 0; segment < uiNumSegments; segment++ )
-    {
-      Pel valDeltaDC = 0;
-      if( symbol )
-      {
-        xParseDimDeltaDC( valDeltaDC, uiNumSegments );
-      }
-
-      if( pcCU->getSDCFlag( absPartIdx ) )
-      {
-        pcCU->setSDCSegmentDCOffset( valDeltaDC, segment, absPartIdx );
-      }
-      else
-      {
-        pcCU->setDimDeltaDC( dimType, segment, absPartIdx, valDeltaDC );
-      }
-    }
-  }
-#endif
   pcCU->setLumaIntraDirSubParts( (UChar)dir, absPartIdx, depth );
 }
@@ -1234,16 +1165,5 @@
   uiIsDimMode = uiSymbol ? 0 : 1;
   pcCU->setLumaIntraDirSubParts( 0, absPartIdx, depth );
-#if !QC_SDC_UNIFY_G0130
-  if( pcCU->getPartitionSize( absPartIdx ) == SIZE_2Nx2N ) //SDC is allowed only in this case
-  {
-    m_pcTDecBinIf->decodeBin( uiSymbol, m_cIntraSdcFlagSCModel.get( 0, 0, pcCU->getCtxSDCFlag( absPartIdx ) ) );
-  }
-  else
-  {
-    uiSymbol = 0;
-  }
-
-  pcCU->setSDCFlagSubParts( uiSymbol, absPartIdx, depth );
-#endif
+
   //decode DMM index
   if( uiIsDimMode )
@@ -2227,5 +2147,4 @@
 
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
 Void TDecSbac::parseDeltaDC( TComDataCU* pcCU, UInt absPartIdx, UInt depth )
 {
@@ -2258,10 +2177,5 @@
   else
   {
-#if SEC_INTER_SDC_G0101
     uiNumSegments = 1;
-#else
-    PartSize cPartSize = pcCU->getPartitionSize( absPartIdx );
-    uiNumSegments = ( cPartSize == SIZE_2Nx2N ) ? 1 : ( cPartSize == SIZE_NxN ? 4 : 2 );
-#endif
     symbol = 1;
   }
@@ -2314,39 +2228,5 @@
   }
 }
-#else
-Void TDecSbac::parseInterSDCFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
-{
-  UInt uiSymbol = 0;
-  UInt uiCtxInterSDCFlag = pcCU->getCtxInterSDCFlag( uiAbsPartIdx );
-
-  m_pcTDecBinIf->decodeBin( uiSymbol, m_cInterSDCFlagSCModel.get( 0, 0, uiCtxInterSDCFlag ) );
-
-  if( uiSymbol )
-  {
-    pcCU->setInterSDCFlagSubParts( true, uiAbsPartIdx, 0, uiDepth );
-    pcCU->setTrIdxSubParts( 0, uiAbsPartIdx, uiDepth );
-    pcCU->setCbfSubParts( 1, 1, 1, uiAbsPartIdx, uiDepth );
-  }
-  else
-  {
-    pcCU->setInterSDCFlagSubParts( false, uiAbsPartIdx, 0, uiDepth);
-  }
-}
-
-Void TDecSbac::parseInterSDCResidualData ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, UInt uiSegment )
-{
-  UInt uiAbsIdx   = 0;
-  UInt uiSign     = 0;
-  Int  iIdx       = 0;
-
-  xReadExGolombLevel( uiAbsIdx, m_cInterSDCResidualSCModel.get( 0, 0, 0 ) );
-
-  uiAbsIdx++;
-  m_pcTDecBinIf->decodeBin( uiSign, m_cInterSDCResidualSignFlagSCModel.get( 0, 0, 0 ) );
-  iIdx = (Int)( uiSign ? -1 : 1 ) * uiAbsIdx;
-
-  pcCU->setInterSDCSegmentDCOffset( iIdx, uiSegment, uiAbsPartIdx );
-}
-#endif
+
 #endif
 
Index: /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecSbac.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 877)
@@ -112,11 +112,6 @@
 #endif
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
   Void  parseDeltaDC         ( TComDataCU* pcCU, UInt absPartIdx, UInt depth );
   Void  parseSDCFlag         ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#else
-  Void  parseInterSDCFlag    ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-  Void  parseInterSDCResidualData ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, UInt uiPart );
-#endif
 #endif
 #if H_3D_DBBP
@@ -220,7 +215,4 @@
 #if QC_GENERIC_SDC_G0122
   ContextModel3DBuffer m_cAngleFlagSCModel;
-#if !QC_SDC_UNIFY_G0130
-  ContextModel3DBuffer m_cIntraSdcFlagSCModel;
-#endif
 #endif
 #if H_3D_DIM_DMM
@@ -232,10 +224,5 @@
 #endif
 #endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  ContextModel3DBuffer m_cInterSDCFlagSCModel;
-  ContextModel3DBuffer m_cInterSDCResidualSCModel;
-  ContextModel3DBuffer m_cInterSDCResidualSignFlagSCModel;
-#endif
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC  
   ContextModel3DBuffer m_cSDCFlagSCModel;
 #endif
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 877)
@@ -2814,5 +2814,4 @@
 
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
 Void TEncCavlc::codeDeltaDC( TComDataCU* pcCU, UInt uiAbsPartIdx )
 {
@@ -2824,15 +2823,5 @@
   assert(0);
 }
-#else
-Void TEncCavlc::codeInterSDCFlag ( TComDataCU* pcCU, UInt uiAbsPartIdx )
-{
-  assert(0);
-}
-
-Void TEncCavlc::codeInterSDCResidualData  ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiSegment )
-{
-  assert(0);
-}
-#endif
+
 #endif
     
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCavlc.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCavlc.h	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCavlc.h	(revision 877)
@@ -133,11 +133,6 @@
 #endif
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
   Void codeDeltaDC       ( TComDataCU* pcCU, UInt uiAbsPartIdx );
   Void codeSDCFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx );
-#else
-  Void codeInterSDCFlag          ( TComDataCU* pcCU, UInt uiAbsPartIdx );
-  Void codeInterSDCResidualData  ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiSegment );
-#endif
 #endif
 #if H_3D_DBBP
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 877)
@@ -1542,5 +1542,5 @@
   m_pcEntropyCoder->encodePartSize( pcCU, uiAbsPartIdx, uiDepth );
   
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   m_pcEntropyCoder->encodeSDCFlag( pcCU, uiAbsPartIdx, false );
 #endif
@@ -1566,8 +1566,4 @@
   m_pcEntropyCoder->encodeICFlag  ( pcCU, uiAbsPartIdx );
 #endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  m_pcEntropyCoder->encodeInterSDCFlag( pcCU, uiAbsPartIdx, false );
-#endif
-
   // Encode Coefficients
   Bool bCodeDQP = getdQPFlag();
@@ -1986,5 +1982,4 @@
           if( rpcTempCU->getSlice()->getVPS()->getInterSDCFlag( rpcTempCU->getSlice()->getLayerIdInVps() ) && rpcTempCU->getSlice()->getIsDepth() && !uiNoResidual )
           {
-#if SEC_INTER_SDC_G0101
             for( Int uiOffest = -2 ; uiOffest <= 2 ; uiOffest++ )
             {
@@ -2018,33 +2013,4 @@
               xCheckBestMode( rpcBestCU, rpcTempCU, uhDepth );
             }
-#else
-            if( rpcTempCU != rpcTempCUPre )
-            {
-              rpcTempCU->initEstData( uhDepth, orgQP, bTransquantBypassFlag  );
-              rpcTempCU->copyPartFrom( rpcBestCU, 0, uhDepth );
-            }
-            rpcTempCU->setSkipFlagSubParts( false, 0, uhDepth );
-            rpcTempCU->setTrIdxSubParts( 0, 0, uhDepth );
-            rpcTempCU->setCbfSubParts( 1, 1, 1, 0, uhDepth );
-#if H_3D_VSO //M2
-            if( m_pcRdCost->getUseRenModel() )
-            { //Reset
-              UInt  uiWidth     = m_ppcOrigYuv[uhDepth]->getWidth    ();
-              UInt  uiHeight    = m_ppcOrigYuv[uhDepth]->getHeight   ();
-              Pel*  piSrc       = m_ppcOrigYuv[uhDepth]->getLumaAddr ();
-              UInt  uiSrcStride = m_ppcOrigYuv[uhDepth]->getStride   ();
-              m_pcRdCost->setRenModelData( rpcTempCU, 0, piSrc, uiSrcStride, uiWidth, uiHeight );
-            }
-#endif
-            m_pcPredSearch->encodeResAndCalcRdInterSDCCU( rpcTempCU, 
-              m_ppcOrigYuv[uhDepth], 
-              ( rpcTempCU != rpcTempCUPre ) ? m_ppcPredYuvBest[uhDepth] : m_ppcPredYuvTemp[uhDepth], 
-              m_ppcResiYuvTemp[uhDepth], 
-              m_ppcRecoYuvTemp[uhDepth], 
-              uhDepth );
-
-            xCheckDQP( rpcTempCU );
-            xCheckBestMode( rpcBestCU, rpcTempCU, uhDepth );
-#endif
           }
 #endif
@@ -2251,11 +2217,6 @@
   xCheckBestMode(rpcBestCU, rpcTempCU, uhDepth);
 #if H_3D_INTER_SDC
-#if SEC_INTER_SDC_G0101 // ONLY_2NX2N_SDC
   if( rpcTempCU->getSlice()->getVPS()->getInterSDCFlag( rpcTempCU->getSlice()->getLayerIdInVps() ) && rpcTempCU->getSlice()->getIsDepth() && ePartSize == SIZE_2Nx2N)
-#else
-  if( rpcTempCU->getSlice()->getVPS()->getInterSDCFlag( rpcTempCU->getSlice()->getLayerIdInVps() ) && rpcTempCU->getSlice()->getIsDepth() )
-#endif
-  {
-#if SEC_INTER_SDC_G0101
+  {
     for( Int uiOffest = -2 ; uiOffest <= 2 ; uiOffest++ )
     {
@@ -2295,35 +2256,5 @@
       xCheckBestMode(rpcBestCU, rpcTempCU, uhDepth);
     }
-#else
-    if( rpcTempCU != rpcTempCUPre )
-    {
-      Int orgQP = rpcBestCU->getQP( 0 );
-      rpcTempCU->initEstData( uhDepth, orgQP );
-      rpcTempCU->copyPartFrom( rpcBestCU, 0, uhDepth );
-    }
-    rpcTempCU->setSkipFlagSubParts( false, 0, uhDepth );
-    rpcTempCU->setTrIdxSubParts( 0, 0, uhDepth );
-    rpcTempCU->setCbfSubParts( 1, 1, 1, 0, uhDepth );
-#if H_3D_VSO // M3
-    if( m_pcRdCost->getUseRenModel() )
-    {
-      UInt  uiWidth     = m_ppcOrigYuv[uhDepth]->getWidth ( );
-      UInt  uiHeight    = m_ppcOrigYuv[uhDepth]->getHeight( );
-      Pel*  piSrc       = m_ppcOrigYuv[uhDepth]->getLumaAddr( );
-      UInt  uiSrcStride = m_ppcOrigYuv[uhDepth]->getStride();
-      m_pcRdCost->setRenModelData( rpcTempCU, 0, piSrc, uiSrcStride, uiWidth, uiHeight );
-    }
-#endif
-
-    m_pcPredSearch->encodeResAndCalcRdInterSDCCU( rpcTempCU, 
-      m_ppcOrigYuv[uhDepth],
-      ( rpcTempCU != rpcTempCUPre ) ? m_ppcPredYuvBest[uhDepth] : m_ppcPredYuvTemp[uhDepth],
-      m_ppcResiYuvTemp[uhDepth],
-      m_ppcRecoYuvTemp[uhDepth],
-      uhDepth );
-
-  xCheckDQP( rpcTempCU );
-  xCheckBestMode(rpcBestCU, rpcTempCU, uhDepth);
-#endif
+
   }
 #endif
@@ -2568,5 +2499,5 @@
   m_pcEntropyCoder->encodePredMode( rpcTempCU, 0,          true );
   m_pcEntropyCoder->encodePartSize( rpcTempCU, 0, uiDepth, true );
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   m_pcEntropyCoder->encodeSDCFlag( rpcTempCU, 0, true );
 #endif
@@ -2625,5 +2556,5 @@
   m_pcEntropyCoder->encodePredMode ( rpcTempCU, 0,          true );
   m_pcEntropyCoder->encodePartSize ( rpcTempCU, 0, uiDepth, true );
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   m_pcEntropyCoder->encodeSDCFlag( rpcTempCU, 0, true );
 #endif
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 877)
@@ -666,5 +666,4 @@
   UInt uiLumaOffset   = uiMinCoeffSize*uiAbsPartIdx;
   UInt uiChromaOffset = uiLumaOffset>>2;
-#if QC_SDC_UNIFY_G0130
 #if H_3D_DIM_SDC
   if( pcCU->getSDCFlag( uiAbsPartIdx ) && pcCU->isIntra( uiAbsPartIdx ) )
@@ -676,7 +675,5 @@
     assert( pcCU->getCbf(uiAbsPartIdx, TEXT_CHROMA_V) == 1 );
   }
-#endif
-
-#if H_3D_INTER_SDC
+
   if( pcCU->getSDCFlag( uiAbsPartIdx ) && !pcCU->isIntra( uiAbsPartIdx ) )
   {
@@ -685,10 +682,6 @@
     assert( pcCU->getSlice()->getIsDepth() );
   }
-#endif
-#if QC_SDC_UNIFY_G0130_FIX
+
   if( pcCU->getSlice()->getIsDepth() && ( pcCU->getSDCFlag( uiAbsPartIdx ) || pcCU->isIntra( uiAbsPartIdx ) ) )
-#else
-  if( pcCU->getSDCFlag( uiAbsPartIdx ) || pcCU->isIntra( uiAbsPartIdx ) )
-#endif
   {
     Int iPartNum = ( pcCU->isIntra( uiAbsPartIdx ) && pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_NxN ) ? 4 : 1;
@@ -711,28 +704,4 @@
     }
   }
-#else
-#if H_3D_DIM_SDC
-  if( pcCU->getSDCFlag( uiAbsPartIdx ) )
-  {
-    assert( pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2Nx2N );
-    assert( pcCU->getTransformIdx(uiAbsPartIdx) == 0 );
-    assert( pcCU->getCbf(uiAbsPartIdx, TEXT_LUMA) == 1 );
-    assert( pcCU->getCbf(uiAbsPartIdx, TEXT_CHROMA_U) == 1 );
-    assert( pcCU->getCbf(uiAbsPartIdx, TEXT_CHROMA_V) == 1 );
-    return;
-  }
-#endif
-
-#if H_3D_INTER_SDC
-  if( pcCU->getInterSDCFlag( uiAbsPartIdx ) )
-  {
-    assert( !pcCU->isSkipped( uiAbsPartIdx ) );
-    assert( !pcCU->isIntra( uiAbsPartIdx) );
-    assert( pcCU->getSlice()->getIsDepth() );
-
-    encodeInterSDCResidualData( pcCU, uiAbsPartIdx, false );
-    return;
-  }
-#endif
 #endif
 
@@ -795,5 +764,4 @@
 
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
 Void TEncEntropy::encodeDeltaDC  ( TComDataCU* pcCU, UInt absPartIdx )
 {
@@ -809,18 +777,10 @@
   }
 
-#if SEC_INTER_SDC_G0101
   if( !pcCU->getSlice()->getIsDepth() || pcCU->getPartitionSize( uiAbsPartIdx ) != SIZE_2Nx2N || pcCU->isSkipped( uiAbsPartIdx ) )
-#else
-  if( !pcCU->getSlice()->getIsDepth() || ( pcCU->isIntra( uiAbsPartIdx ) && pcCU->getPartitionSize( uiAbsPartIdx ) != SIZE_2Nx2N ) || pcCU->isSkipped( uiAbsPartIdx ) )
-#endif
-  {
-    return;
-  }
-
-#if SEC_INTER_SDC_G0101
+  {
+    return;
+  }
+
   assert( pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_2Nx2N || ( !pcCU->isIntra( uiAbsPartIdx ) && !pcCU->isSkipped( uiAbsPartIdx ) ) );
-#else
-  assert( ( pcCU->isIntra( uiAbsPartIdx ) && pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_2Nx2N ) || ( !pcCU->isIntra( uiAbsPartIdx ) && !pcCU->isSkipped( uiAbsPartIdx ) ) );
-#endif
 
   if( bRD )
@@ -831,52 +791,5 @@
   m_pcEntropyCoderIf->codeSDCFlag( pcCU, uiAbsPartIdx );
 }
-#else
-Void TEncEntropy::encodeInterSDCFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD )
-{
-  if( !pcCU->getSlice()->getVPS()->getInterSDCFlag( pcCU->getSlice()->getLayerIdInVps() ) )
-  {
-    return;
-  }
-
-  if( !pcCU->getSlice()->getIsDepth() || pcCU->isIntra( uiAbsPartIdx ) || pcCU->isSkipped( uiAbsPartIdx ) )
-  {
-    return;
-  }
-
-  if( bRD )
-  {
-    uiAbsPartIdx = 0;
-  }
-
-  m_pcEntropyCoderIf->codeInterSDCFlag( pcCU, uiAbsPartIdx );
-}
-
-Void TEncEntropy::encodeInterSDCResidualData( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD )
-{
-  if( !pcCU->getSlice()->getVPS()->getInterSDCFlag( pcCU->getSlice()->getLayerIdInVps() ) )
-  {
-    return;
-  }
-
-  if( !pcCU->getSlice()->getIsDepth() || pcCU->isIntra( uiAbsPartIdx ) || !pcCU->getInterSDCFlag( uiAbsPartIdx ) )
-  {
-    return;
-  }
-
-  if( bRD )
-  {
-    uiAbsPartIdx = 0;
-  }
-
-  // number of segments depends on prediction mode for INTRA
-  UInt uiNumSegments = ( pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_2Nx2N ) ? 1 : ( pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_NxN ? 4 : 2 );
-
-  // encode residual data for each segment
-  for( UInt uiSeg = 0; uiSeg < uiNumSegments; uiSeg++ )
-  {
-    m_pcEntropyCoderIf->codeInterSDCResidualData( pcCU, uiAbsPartIdx, uiSeg );
-  }
-}
-#endif
+
 #endif
 #if H_3D_DBBP
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncEntropy.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncEntropy.h	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncEntropy.h	(revision 877)
@@ -95,11 +95,6 @@
 #endif
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
   virtual Void codeDeltaDC       ( TComDataCU* pcCU, UInt uiAbsPartIdx ) = 0;
   virtual Void codeSDCFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx ) = 0;
-#else
-  virtual Void codeInterSDCFlag  ( TComDataCU* pcCU, UInt uiAbsPartIdx ) = 0;
-  virtual Void codeInterSDCResidualData ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiSegment ) = 0;
-#endif
 #endif
 #if H_3D_DBBP
@@ -190,11 +185,6 @@
 #endif
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
   Void encodeDeltaDC      ( TComDataCU* pcCU, UInt absPartIdx );
   Void encodeSDCFlag      ( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD = false );
-#else
-  Void encodeInterSDCFlag ( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD = false );
-  Void encodeInterSDCResidualData( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD );
-#endif
 #endif
 #if H_3D_DBBP
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 877)
@@ -94,7 +94,4 @@
 #if QC_GENERIC_SDC_G0122
 , m_cAngleFlagSCModel         ( 1,             1,               NUM_ANGLE_FLAG_CTX            , m_contextModels + m_numContextModels, m_numContextModels)
-#if !QC_SDC_UNIFY_G0130
-, m_cIntraSdcFlagSCModel      ( 1,             1,               NUM_INTRASDC_FLAG_CTX         , m_contextModels + m_numContextModels, m_numContextModels)
-#endif
 #endif
 #if H_3D_DIM_DMM
@@ -106,10 +103,5 @@
 #endif
 #endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-, m_cInterSDCFlagSCModel             ( 1,             1,  NUM_INTER_SDC_FLAG_CTX           , m_contextModels + m_numContextModels, m_numContextModels)
-, m_cInterSDCResidualSCModel         ( 1,             1,  NUM_INTER_SDC_RESIDUAL_CTX       , m_contextModels + m_numContextModels, m_numContextModels)
-, m_cInterSDCResidualSignFlagSCModel ( 1,             1,  NUM_INTER_SDC_SIGN_FLAG_CTX      , m_contextModels + m_numContextModels, m_numContextModels)
-#endif
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
 , m_cSDCFlagSCModel                  ( 1,             1,  NUM_SDC_FLAG_CTX                 , m_contextModels + m_numContextModels, m_numContextModels)
 #endif
@@ -180,7 +172,4 @@
 #if QC_GENERIC_SDC_G0122
   m_cAngleFlagSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_ANGLE_FLAG );
-#if !QC_SDC_UNIFY_G0130
-  m_cIntraSdcFlagSCModel.initBuffer      ( eSliceType, iQp, (UChar*)INIT_INTRASDC_FLAG );
-#endif
 #endif
 #if H_3D_DIM_DMM
@@ -192,10 +181,5 @@
 #endif
 #endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  m_cInterSDCFlagSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_INTER_SDC_FLAG );
-  m_cInterSDCResidualSCModel.initBuffer     ( eSliceType, iQp, (UChar*)INIT_INTER_SDC_RESIDUAL );
-  m_cInterSDCResidualSignFlagSCModel.initBuffer ( eSliceType, iQp, (UChar*)INIT_INTER_SDC_SIGN_FLAG );
-#endif
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   m_cSDCFlagSCModel.initBuffer              ( eSliceType, iQp, (UChar*)INIT_SDC_FLAG );
 #endif
@@ -240,10 +224,5 @@
       curCost += m_cCUICFlagSCModel.calcCost          ( curSliceType, qp, (UChar*)INIT_IC_FLAG );
 #endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-      curCost += m_cInterSDCFlagSCModel.calcCost      ( curSliceType, qp, (UChar*)INIT_INTER_SDC_FLAG );
-      curCost += m_cInterSDCResidualSCModel.calcCost  ( curSliceType, qp, (UChar*)INIT_INTER_SDC_RESIDUAL );
-      curCost += m_cInterSDCResidualSignFlagSCModel.calcCost( curSliceType, qp, (UChar*)INIT_INTER_SDC_SIGN_FLAG );
-#endif
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
       curCost += m_cSDCFlagSCModel.calcCost           ( curSliceType, qp, (UChar*)INIT_SDC_FLAG );
 #endif
@@ -281,7 +260,4 @@
 #if QC_GENERIC_SDC_G0122
       curCost += m_cAngleFlagSCModel.calcCost         ( curSliceType, qp, (UChar*)INIT_ANGLE_FLAG );  
-#if !QC_SDC_UNIFY_G0130
-      curCost += m_cIntraSdcFlagSCModel.calcCost      ( curSliceType, qp, (UChar*)INIT_INTRASDC_FLAG );  
-#endif
 #endif
 #if H_3D_DIM_DMM
@@ -350,7 +326,4 @@
 #if QC_GENERIC_SDC_G0122
   m_cAngleFlagSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_ANGLE_FLAG );
-#if !QC_SDC_UNIFY_G0130
-  m_cIntraSdcFlagSCModel.initBuffer      ( eSliceType, iQp, (UChar*)INIT_INTRASDC_FLAG );
-#endif
 #endif
 #if H_3D_DIM_DMM
@@ -362,10 +335,5 @@
 #endif
 #endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  m_cInterSDCFlagSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_INTER_SDC_FLAG );
-  m_cInterSDCResidualSCModel.initBuffer     ( eSliceType, iQp, (UChar*)INIT_INTER_SDC_RESIDUAL );
-  m_cInterSDCResidualSignFlagSCModel.initBuffer ( eSliceType, iQp, (UChar*)INIT_INTER_SDC_SIGN_FLAG );
-#endif
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   m_cSDCFlagSCModel.initBuffer              ( eSliceType, iQp, (UChar*)INIT_SDC_FLAG );
 #endif
@@ -674,7 +642,4 @@
 #if QC_GENERIC_SDC_G0122
   this->m_cAngleFlagSCModel      .copyFrom( &pSrc->m_cAngleFlagSCModel );
-#if !QC_SDC_UNIFY_G0130
-  this->m_cIntraSdcFlagSCModel   .copyFrom( &pSrc->m_cIntraSdcFlagSCModel );
-#endif
 #endif
 }
@@ -1290,42 +1255,4 @@
   default: break;
   }
-#if !QC_SDC_UNIFY_G0130
-  if( dimType < DIM_NUM_TYPE || pcCU->getSDCFlag( absPartIdx ) )
-  {
-    UInt dimDeltaDC;
-    Pel  deltaDC;
-#if QC_GENERIC_SDC_G0122
-    UInt uiNumSegments = isDimMode( dir ) ? 2 : 1;
-#else
-    UInt uiNumSegments = ( dir == PLANAR_IDX ) ? 1 : 2;
-#endif
-    if( pcCU->getSDCFlag( absPartIdx ) )
-    {
-      if( uiNumSegments==1 )
-      {
-        dimDeltaDC = pcCU->getSDCSegmentDCOffset(0, absPartIdx) ? 1 : 0;
-      }
-      else
-      {
-        dimDeltaDC = ( pcCU->getSDCSegmentDCOffset(0, absPartIdx) || pcCU->getSDCSegmentDCOffset(1, absPartIdx) ) ? 1 : 0;
-      }
-    }
-    else
-    {
-      dimDeltaDC = isDimDeltaDC( dir );
-    }
-
-    m_pcBinIf->encodeBin( dimDeltaDC, m_cDdcFlagSCModel.get(0, 0, uiNumSegments-1) );
-
-    if( dimDeltaDC ) 
-    {
-      for( UInt segment = 0; segment < uiNumSegments; segment++ )
-      {
-        deltaDC = pcCU->getSDCFlag( absPartIdx ) ? pcCU->getSDCSegmentDCOffset(segment, absPartIdx) : pcCU->getDimDeltaDC( dimType, segment, absPartIdx );
-        xCodeDimDeltaDC( deltaDC, uiNumSegments );
-      }
-    }
-  }
-#endif
 }
 
@@ -1339,10 +1266,4 @@
     m_pcBinIf->encodeBin( isDimMode( dir ) ? 0 : 1, m_cAngleFlagSCModel.get( 0, 0, pcCU->getCtxAngleFlag( absPartIdx ) ) );
   }
-#if !QC_SDC_UNIFY_G0130
-  if( pcCU->getPartitionSize( absPartIdx ) == SIZE_2Nx2N ) //SDC is allowed only in this case
-  {
-    m_pcBinIf->encodeBin( pcCU->getSDCFlag( absPartIdx ) ? 1 : 0, m_cIntraSdcFlagSCModel.get( 0, 0, pcCU->getCtxSDCFlag( absPartIdx ) ) );
-}
-#endif
   if( isDimMode( dir ) )
   {
@@ -2435,5 +2356,4 @@
 
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
 Void TEncSbac::codeDeltaDC( TComDataCU* pcCU, UInt absPartIdx )
 {
@@ -2471,10 +2391,5 @@
   else //all-zero inter SDC is not allowed
   {
-#if SEC_INTER_SDC_G0101
     uiNumSegments = 1;
-#else
-    PartSize cPartSize = pcCU->getPartitionSize( absPartIdx );
-    uiNumSegments = ( cPartSize == SIZE_2Nx2N ) ? 1 : ( cPartSize == SIZE_NxN ? 4 : 2 );
-#endif
     dimDeltaDC = 1;
   }
@@ -2508,26 +2423,5 @@
   m_pcBinIf->encodeBin( uiSymbol, m_cSDCFlagSCModel.get( 0, 0, uiCtxSDCFlag ) );
 }
-#else
-Void TEncSbac::codeInterSDCFlag( TComDataCU* pcCU, UInt uiAbsPartIdx )
-{
-  UInt uiSymbol = pcCU->getInterSDCFlag( uiAbsPartIdx ) ? 1 : 0;
-  UInt uiCtxInterSDCFlag = pcCU->getCtxInterSDCFlag( uiAbsPartIdx );
-
-  m_pcBinIf->encodeBin( uiSymbol, m_cInterSDCFlagSCModel.get( 0, 0, uiCtxInterSDCFlag ) );
-}
-
-Void TEncSbac::codeInterSDCResidualData ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiSegment )
-{
-  Pel segmentDCOffset = pcCU->getInterSDCSegmentDCOffset( uiSegment, uiAbsPartIdx );
-
-  UInt uiSign     = segmentDCOffset < 0 ? 1 : 0;
-  UInt uiAbsIdx   = abs( segmentDCOffset );
-
-  assert( uiAbsIdx > 0 );
-  uiAbsIdx--;
-  xWriteExGolombLevel( uiAbsIdx, m_cInterSDCResidualSCModel.get( 0, 0, 0 ) );
-  m_pcBinIf->encodeBin( uiSign, m_cInterSDCResidualSignFlagSCModel.get( 0, 0, 0 ) );
-}
-#endif
+
 #endif
 
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSbac.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSbac.h	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSbac.h	(revision 877)
@@ -162,11 +162,6 @@
 #endif
 #if H_3D_INTER_SDC
-#if QC_SDC_UNIFY_G0130
   Void codeDeltaDC       ( TComDataCU* pcCU, UInt absPartIdx );
   Void codeSDCFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx );
-#else
-  Void codeInterSDCFlag  ( TComDataCU* pcCU, UInt uiAbsPartIdx );
-  Void codeInterSDCResidualData  ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiSegment );
-#endif
 #endif
 #if H_3D_DBBP
@@ -264,7 +259,4 @@
 #if QC_GENERIC_SDC_G0122
   ContextModel3DBuffer m_cAngleFlagSCModel;
-#if !QC_SDC_UNIFY_G0130
-  ContextModel3DBuffer m_cIntraSdcFlagSCModel;
-#endif
 #endif
 #if H_3D_DIM_DMM
@@ -276,10 +268,5 @@
 #endif
 #endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-  ContextModel3DBuffer m_cInterSDCFlagSCModel;
-  ContextModel3DBuffer m_cInterSDCResidualSCModel;
-  ContextModel3DBuffer m_cInterSDCResidualSignFlagSCModel;
-#endif
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   ContextModel3DBuffer m_cSDCFlagSCModel;
 #endif
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 877)
@@ -920,5 +920,5 @@
       m_pcEntropyCoder  ->encodePartSize( pcCU, 0, pcCU->getDepth(0), true );
 
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
       m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
 #endif
@@ -939,5 +939,5 @@
       {
         m_pcEntropyCoder->encodeIntraDirModeLuma ( pcCU, 0 );
-#if QC_SDC_UNIFY_G0130_FIX
+#if H_3D_DIM_SDC
         if( pcCU->getSlice()->getIsDepth() && ( !pcCU->getSDCFlag( 0 ) ) && getDimType( pcCU->getLumaIntraDir( 0 ) ) < DIM_NUM_TYPE ) 
         {
@@ -956,5 +956,5 @@
         {
           m_pcEntropyCoder->encodeIntraDirModeLuma ( pcCU, uiPart * uiQNumParts );
-#if QC_SDC_UNIFY_G0130_FIX
+#if H_3D_DIM_SDC
           if( pcCU->getSlice()->getIsDepth() && ( !pcCU->getSDCFlag( uiPart * uiQNumParts ) ) && getDimType( pcCU->getLumaIntraDir( uiPart * uiQNumParts ) ) < DIM_NUM_TYPE ) 
           {
@@ -967,5 +967,5 @@
       {
         m_pcEntropyCoder->encodeIntraDirModeLuma ( pcCU, uiAbsPartIdx );
-#if QC_SDC_UNIFY_G0130_FIX
+#if H_3D_DIM_SDC
         if( pcCU->getSlice()->getIsDepth() && ( !pcCU->getSDCFlag( uiAbsPartIdx ) ) && getDimType( pcCU->getLumaIntraDir( uiAbsPartIdx ) ) < DIM_NUM_TYPE ) 
         {
@@ -975,19 +975,5 @@
     }
   }
-#if QC_SDC_UNIFY_G0130 && !QC_SDC_UNIFY_G0130_FIX
-    Int iPartNum = ( pcCU->isIntra( uiAbsPartIdx ) && pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_NxN ) ? 4 : 1;
-    UInt uiPartOffset = ( pcCU->getPic()->getNumPartInCU() >> ( pcCU->getDepth( uiAbsPartIdx ) << 1 ) ) >> 2;
-
-    if( !pcCU->getSDCFlag( uiAbsPartIdx ) )
-    {
-      for( Int iPart = 0; iPart < iPartNum; iPart++ )
-      {
-        if( getDimType( pcCU->getLumaIntraDir( uiAbsPartIdx + uiPartOffset*iPart ) ) < DIM_NUM_TYPE ) 
-        {
-          m_pcEntropyCoder->encodeDeltaDC( pcCU, uiAbsPartIdx + uiPartOffset*iPart );
-        }
-      }
-    }
-#endif
+
   }
   if( bChroma )
@@ -2186,5 +2172,5 @@
   
   // encode reduced intra header
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   if( !pcCU->getSlice()->isIntra() )
   {
@@ -2197,9 +2183,5 @@
   }
 
-#if QC_SDC_UNIFY_G0130_FIX2
   m_pcEntropyCoder->encodePartSize( pcCU, 0, pcCU->getDepth( 0 ), true );
-#else
-  m_pcEntropyCoder->encodePartSize( pcCU, 0, true );
-#endif
   m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
 #else
@@ -2209,5 +2191,5 @@
   // encode pred direction + DC residual data
   m_pcEntropyCoder->encodePredInfo( pcCU, 0, true );
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   Bool bDummy = false;
   m_pcEntropyCoder->encodeCoeff( pcCU, 0, pcCU->getDepth( 0 ), uiWidth, uiHeight, bDummy );
@@ -5875,9 +5857,5 @@
 
 #if H_3D_INTER_SDC
-#if SEC_INTER_SDC_G0101
 Void TEncSearch::encodeResAndCalcRdInterSDCCU( TComDataCU* pcCU, TComYuv* pcOrg, TComYuv* pcPred, TComYuv* pcResi, TComYuv* pcRec, Int uiOffest, const UInt uiDepth )
-#else
-Void TEncSearch::encodeResAndCalcRdInterSDCCU( TComDataCU* pcCU, TComYuv* pcOrg, TComYuv* pcPred, TComYuv* pcResi, TComYuv* pcRec, const UInt uiDepth )
-#endif
 {
   if( !pcCU->getSlice()->getIsDepth() || pcCU->isIntra( 0 ) )
@@ -5885,38 +5863,18 @@
     return;
   }
-#if QC_SDC_UNIFY_G0130
   pcCU->setSDCFlagSubParts( true, 0, uiDepth );
-#else
-  pcCU->setInterSDCFlagSubParts( true, 0, 0, uiDepth );
-#endif
-
-  UInt  uiWidth      = pcCU->getWidth ( 0 );
-  UInt  uiHeight     = pcCU->getHeight( 0 );
-#if SEC_INTER_SDC_G0101
-  UInt uiSegSize = 0;
-#else
-  UChar* pMask       = pcCU->getInterSDCMask();
-  memset( pMask, 0, uiWidth*uiHeight );
-
-  pcCU->xSetInterSDCCUMask( pcCU, pMask );
-
-  UInt uiSegSize[4] = { 0, 0, 0, 0 };
-#endif
+
+  UInt  uiWidth   = pcCU->getWidth ( 0 );
+  UInt  uiHeight  = pcCU->getHeight( 0 );
+  UInt  uiSegSize = 0;
+
   Pel *pPred, *pOrg;
   UInt uiPredStride = pcPred->getStride();
   UInt uiOrgStride  = pcOrg->getStride();
   UInt uiPelX, uiPelY;
-#if !SEC_INTER_SDC_G0101
-  UInt uiPartitionSize = pcCU->getPartitionSize( 0 );
-  UInt uiSegmentNum = ( uiPartitionSize == SIZE_2Nx2N ) ? 1 : ( uiPartitionSize == SIZE_NxN ? 4 : 2 );
-#endif
 
   pPred = pcPred->getLumaAddr( 0 );
   pOrg  = pcOrg->getLumaAddr( 0 );
-#if SEC_INTER_SDC_G0101
   Int pResDC = 0;
-#else
-  Int pResDC[4] = { 0, 0, 0, 0};
-#endif
 
   //calculate dc value for prediction and original signal, and calculate residual and reconstruction
@@ -5925,12 +5883,6 @@
     for( uiPelX = 0; uiPelX < uiWidth; uiPelX++ )
     {
-#if SEC_INTER_SDC_G0101
       pResDC += (Int)( pOrg [uiPelX] - pPred[uiPelX] );
       uiSegSize++;
-#else
-      UChar uiSeg = pMask[ uiPelX + uiPelY*uiWidth ];
-      pResDC[uiSeg] += (Int)( pOrg [uiPelX] - pPred[uiPelX] );
-      uiSegSize[uiSeg]++;
-#endif
     }
     pOrg  += uiOrgStride;
@@ -5938,21 +5890,9 @@
   }
 
-#if SEC_INTER_SDC_G0101
   Int iResiOffset = ( pResDC  > 0 ? ( uiSegSize >> 1 ) : -1*( uiSegSize >> 1 ) );
   pResDC          = ( pResDC + iResiOffset ) / (Int) uiSegSize;
 
   pcCU->setSDCSegmentDCOffset( pResDC + uiOffest, 0, 0 );
-#else
-  for( UInt uiSeg = 0; uiSeg < uiSegmentNum; uiSeg++ )
-  {
-    Int iResiOffset = ( pResDC [uiSeg] > 0 ? ( uiSegSize[uiSeg] >> 1 ) : -1*( uiSegSize[uiSeg] >> 1 ) );
-    pResDC [uiSeg]  = ( pResDC [uiSeg] + iResiOffset ) / (Int) uiSegSize[uiSeg];
-#if QC_SDC_UNIFY_G0130
-    pcCU->setSDCSegmentDCOffset( pResDC[uiSeg], uiSeg, 0 );
-#else
-    pcCU->setInterSDCSegmentDCOffset( pResDC[uiSeg], uiSeg, 0 );
-#endif
-  }
-#endif
+
 
   Pel *pRec;
@@ -5965,12 +5905,5 @@
     for( uiPelX = 0; uiPelX < uiWidth; uiPelX++ )
     {
-#if SEC_INTER_SDC_G0101
       pRec[ uiPelX ] = Clip3( 0, ( 1 << g_bitDepthY ) - 1, pPred[uiPelX] + pcCU->getSDCSegmentDCOffset(0, 0) );
-#else
-      UChar uiSeg = pMask[ uiPelX + uiPelY*uiWidth ];
-      assert( uiSeg < uiSegmentNum );
-
-      pRec[ uiPelX ] = Clip3( 0, ( 1 << g_bitDepthY ) - 1, pPred[uiPelX] + pResDC[uiSeg] );
-#endif
     }
     pPred     += uiPredStride;
@@ -6012,22 +5945,10 @@
 #endif
 
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
   Bool bNonSkip = false;
 #else
   Bool bNonSkip = true;
 #endif
-#if SEC_INTER_SDC_G0101
   bNonSkip |= ( pcCU->getSDCSegmentDCOffset( 0, 0 ) != 0 ) ? 1 : 0;
-#else
-  for( UInt uiSeg = 0; uiSeg < uiSegmentNum; uiSeg++ )
-  {
-#if QC_SDC_UNIFY_G0130
-    bNonSkip |= ( pcCU->getSDCSegmentDCOffset( uiSeg, 0 ) != 0 ) ? 1 : 0;
-#else
-    bNonSkip &= ( pcCU->getInterSDCSegmentDCOffset( uiSeg, 0 ) != 0 ) ? 1 : 0;
-#endif
-  }
-#endif
-
   if( !bNonSkip )
   {
@@ -7187,5 +7108,5 @@
     m_pcEntropyCoder->encodePredMode( pcCU, 0, true );
     m_pcEntropyCoder->encodePartSize( pcCU, 0, pcCU->getDepth(0), true );
-#if QC_SDC_UNIFY_G0130
+#if H_3D_DIM_SDC
     m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
 #endif
@@ -7196,7 +7117,4 @@
 #if H_3D_IC
     m_pcEntropyCoder->encodeICFlag( pcCU, 0, true );
-#endif
-#if H_3D_INTER_SDC && !QC_SDC_UNIFY_G0130
-    m_pcEntropyCoder->encodeInterSDCFlag( pcCU, 0, true );
 #endif
     Bool bDummy = false;
Index: /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.h
===================================================================
--- /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.h	(revision 876)
+++ /branches/HTM-10.1-dev0/source/Lib/TLibEncoder/TEncSearch.h	(revision 877)
@@ -218,7 +218,5 @@
     TComYuv* pcResi, 
     TComYuv* pcRec, 
-#if SEC_INTER_SDC_G0101
     Int      uiOffset,
-#endif
     const UInt uiDepth );
 #endif
